import { useTranslation } from "next-i18next";

import Container from "components/services/widget/container";
import Block from "components/services/widget/block";
import useWidgetAPI from "utils/proxy/use-widget-api";

export default function Component({ service }) {
  const { t } = useTranslation();
  const { widget } = service;
  const { data, error } = useWidgetAPI(widget, "widget", {
    refreshInterval: 5000,
  });

  if (error) {
    return <Container service={service} error={error} />;
  }

  if (!data) {
    return (
      <Container service={service}>
        <Block label="Now Playing" />
      </Container>
    );
  }

  return (
    <Container service={service}>
      <img src={`https://codey.lol/images/radio_art.jpg?${Date.now()}`} height={85} width={85}></img>
      <Block label="Now Playing" value={ data.now_playing } />
    </Container>
  );
}

